clc
clear all
path_m = '.\An2007_2\';    % Setting the model path
path(path_m,path);
path('tool',path);
path('.\tool\sgu\',path);

load([path_m,'usdata.mat']);
load([path_m,'model.mat']);
load([path_m,'mode.mat']);

% computation
poolobj = parpool('local',8);

T = 2e4;
Tb = 2e3;
N_set = [5e2,1e3,5e3,1e4];
filter_set = [3,5];
c_set = [0.50,0.52; 0.52,0.55; 0.55,0.6; 0.57,0.6];
[filter_set,N_set] = meshgrid(filter_set,N_set);

parfor i = 1:8
    N = N_set(i);
    c = c_set(i);
    filter = filter_set(i);
    mcmc_rwm(para_mode,sig_r,ad,eta,approx,dim,data,filter,N,c,T,Tb);
end
delete(poolobj);