function y = trans(para)
% TRANS(PARA)
%   transforms variables from constrained parameter space of model 
%   to R^k
npar = size(para,2);
spec = load('para_prior.txt');
spec = spec(:,1);
y = para;
for i = 1:npar
    if spec(i) == 1;
		y(:,i) = log(y(:,i))-log(1-y(:,i));
    elseif any(spec(i) == [2,4]);
		y(:,i) = log(y(:,i));
    end
end
end
